Package org.eclipse.emf.cdo.common.security

# Enum Class CDOPermission

java.lang.Object
java.lang.Enum<CDOPermission>
org.eclipse.emf.cdo.common.security.CDOPermission

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOPermission>`, `Constable`

public enum CDOPermission extends Enum<CDOPermission>
Describes the possible protection levels a protectable object may have.

Since:
  4.1
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NONE`
`READ`
`WRITE`

## Method Summary

Modifier and Type
Method
Description
`static CDOPermission`
`get(int bits)`
`byte`
`getBits()`
`boolean`
`isReadable()`
`boolean`
`isWritable()`
`static CDOPermission`
`parse(String str)`
`static CDOPermission`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOPermission[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CDOPermission NONE

### READ

public static final CDOPermission READ

### WRITE

public static final CDOPermission WRITE

## Method Details

### values

public static CDOPermission[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOPermission valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getBits

public byte getBits()

### isReadable

public boolean isReadable()

Since:
  4.1

### isWritable

public boolean isWritable()

Since:
  4.1

### get

public static CDOPermission get(int bits)

### parse

public static CDOPermission parse(String str)

Since:
  4.22